Skip to main content
PUT
/
v1
/
superagents
/
{agent_id}
/
model
Update model
curl --request PUT \
  --url https://api.gigabrain.gg/v1/superagents/{agent_id}/model \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>"
}
'
import requests

url = "https://api.gigabrain.gg/v1/superagents/{agent_id}/model"

payload = { "model": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>'})
};

fetch('https://api.gigabrain.gg/v1/superagents/{agent_id}/model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent_id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  "status": "updated"
}
{
"statusCode": 401,
"message": "Invalid or revoked API key"
}
{
"statusCode": 404,
"message": "Agent not found"
}
{
"statusCode": 429,
"message": "Rate limit exceeded",
"retryAfter": 45,
"resetAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Your Gigabrain API key. Get one at https://gigabrain.gg/profile?tab=api. Format: gb_sk_...

Path Parameters

agent_id
string<uuid>
required

The SuperAgent's unique identifier

Body

application/json
model
string
required

Model ID from the selected provider

model_provider
enum<string>
required

Provider of the model

Available options:
openai,
anthropic,
xai,
openrouter,
venice

Response

Model updated